summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-11-30 22:01:27 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-11-30 22:01:27 +0000
commit488386f374f31c36c304191332e05d737d0864ef (patch)
tree1c21925ba052912eb437ab90f911061417191a1d /dev-python
parentf714a8e36e726b5e199f3883738b61b924784b54 (diff)
downloadbaldeagleos-repo-488386f374f31c36c304191332e05d737d0864ef.tar.gz
baldeagleos-repo-488386f374f31c36c304191332e05d737d0864ef.tar.xz
baldeagleos-repo-488386f374f31c36c304191332e05d737d0864ef.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/diskcache/Manifest1
-rw-r--r--dev-python/diskcache/diskcache-5.3.0.ebuild42
-rw-r--r--dev-python/django-redis/Manifest1
-rw-r--r--dev-python/django-redis/django-redis-5.1.0.ebuild79
-rw-r--r--dev-python/pylast/Manifest1
-rw-r--r--dev-python/pylast/pylast-4.4.0.ebuild24
6 files changed, 148 insertions, 0 deletions
diff --git a/dev-python/diskcache/Manifest b/dev-python/diskcache/Manifest
index 64ee0c84cb5e..c2ea80f79d8c 100644
--- a/dev-python/diskcache/Manifest
+++ b/dev-python/diskcache/Manifest
@@ -1 +1,2 @@
DIST diskcache-5.2.1.gh.tar.gz 652769 BLAKE2B 25fcdcf51c8be7a6e2a9de645258f776647789a7f06c70c8564ad28bd003a745167095b11a54d435e733d9f5181a1443be2510fe2d901cc208ea426d3359c0ba SHA512 6e55bada12145d931f4a465092decc3f2cfed2e618d1ea271ad6daa6caf7c3abfd6ae5de11072efdf898ebf272acd39136136b58d7b5e735092963bdd46af52e
+DIST diskcache-5.3.0.gh.tar.gz 653506 BLAKE2B 250420da434fa8a02cf58ed552072cb62a6d10dfa3801cf187db327a687763ab7f010c19f5e10b9ba71b2fd6830ba902750ca273c8be08c6f7987aa0923afcff SHA512 106c8eb8320153e42e076927d51fa75d30b92156e17a75756e0392028cb6b5054af9af66b93aa69b7a7105012f0b92fe942ee447a75e53e005b56eb0b067dc38
diff --git a/dev-python/diskcache/diskcache-5.3.0.ebuild b/dev-python/diskcache/diskcache-5.3.0.ebuild
new file mode 100644
index 000000000000..2a603071d334
--- /dev/null
+++ b/dev-python/diskcache/diskcache-5.3.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+HOMEPAGE="http://www.grantjenks.com/docs/diskcache/
+ https://github.com/grantjenks/python-diskcache/"
+DESCRIPTION="Disk and file backed cache"
+SRC_URI="
+ https://github.com/grantjenks/python-diskcache/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+S=${WORKDIR}/python-diskcache-${PV}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+BDEPEND="
+ test? (
+ dev-python/django[${PYTHON_USEDEP}]
+ )"
+
+EPYTEST_DESELECT=(
+ # TODO
+ tests/test_djangocache.py::DiskCacheTests::test_get_or_set_callable_returning_none
+ tests/test_djangocache.py::DiskCacheTests::test_pickle
+)
+
+src_prepare() {
+ # remove dep on pytest-xdist and pytest-cov
+ sed -i -e '/-n auto/d' -e '/--cov/d' tox.ini || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/django-redis/Manifest b/dev-python/django-redis/Manifest
index 2e1df9d5e473..b1ea183a858b 100644
--- a/dev-python/django-redis/Manifest
+++ b/dev-python/django-redis/Manifest
@@ -1 +1,2 @@
DIST django-redis-5.0.0.tar.gz 47508 BLAKE2B 67d87bcbde16730abd71945fe081d425c1047962ff2ca0c382f65d0588ef72103204f8febfeeda9ea382cf53a5c871c087a85ea817f04fac383961f69324557f SHA512 4516e30122845b49789f04fd079b5bc99a732e814d82deb817f14d105895069defa627f1852ce3fd8464de313a5f01ba81f87272f7a98830f7100dbb0c0bfb12
+DIST django-redis-5.1.0.tar.gz 44112 BLAKE2B 9b3b142b1817f4c206754ab42b4fc63dca33ac40013eca9fdbf5c797d4c55a745bfb290835904967443729f12dc0d07e0a0c89f81c7afa6173b2687fb72c4246 SHA512 eb552eafd2cedc7c550ce6ad1fc56af163a65795c05748a0fc0dc0642092910bbf5163a5ef27bd6c4a4e4bef159c9fb6ce4fb78e64c1964762b8a1330e23e9f7
diff --git a/dev-python/django-redis/django-redis-5.1.0.ebuild b/dev-python/django-redis/django-redis-5.1.0.ebuild
new file mode 100644
index 000000000000..ea8011e3f110
--- /dev/null
+++ b/dev-python/django-redis/django-redis-5.1.0.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Full featured redis cache backend for Django"
+HOMEPAGE="https://github.com/jazzband/django-redis/"
+SRC_URI="mirror://pypi/${PN:0:1}"/${PN}/${P}.tar.gz
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/django-2.2[${PYTHON_USEDEP}]
+ >=dev-python/redis-py-3.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/lz4[${PYTHON_USEDEP}]
+ dev-python/msgpack[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/--cov/d' \
+ -e '/--no-cov/d' \
+ -e '/redis/s:,<4::' \
+ -i setup.cfg || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ cd tests || die
+ local setting_file settings=(
+ settings.sqlite
+ settings.sqlite_json
+ settings.sqlite_lz4
+ settings.sqlite_msgpack
+ settings.sqlite_sharding
+ settings.sqlite_zlib
+ # TODO: requires pyzstd
+# settings.sqlite_zstd
+ )
+ for setting_file in "${settings[@]}"; do
+ einfo "Testing ${setting_file} configuration"
+ epytest "--ds=${setting_file}"
+ done
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+ local redis_test_config="
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1
+ "
+
+ # Spawn Redis itself for testing purposes
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ "${EPREFIX}"/usr/sbin/redis-server - <<< "${redis_test_config}" || die
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/pylast/Manifest b/dev-python/pylast/Manifest
index 030265c96299..df9cdfec11da 100644
--- a/dev-python/pylast/Manifest
+++ b/dev-python/pylast/Manifest
@@ -1,2 +1,3 @@
DIST pylast-4.2.1.tar.gz 39787 BLAKE2B 1f2f06671ce38bd42f7297279a58f674c3af8f66de4fe804d90e3fc178c73f09a24f65bbc4fd534da0c04f593dc5eb31f03da38a4ca969ea31a04978a603b7b4 SHA512 c1418ff1e6b6ab905d790cc83eb1a4b3172c0c28d523c2bbd641523a2e2601a84aff126dafd047f0fb9b82744bca883648e197b273026611f47671d39afd4fc6
DIST pylast-4.3.0.tar.gz 39875 BLAKE2B 9b51c44295babc54207593e43d70ec121ddc4c4e5bea8a0936691d02c2cf996869cc3995f5b069bfe3a9208754705a716716cb6bb8aefef142723687dc07a16a SHA512 2880e142da2841775f2c48f2d5ad0adc39e6b65073a76dd6af24c65f420948755b25f7a630b95315ffbdd1f7536d9ac4570b3df01d6837f77faccf89aaf41f33
+DIST pylast-4.4.0.tar.gz 39793 BLAKE2B 13a2bd4652b0dee142442f8bc6bf922f544b093be207efe8661f5355e37ff59a5c0d9c844193d2d3e4f22ccafc10993b8cced6872d4f0fece42c37524bee8beb SHA512 341b3f8a6691699b9581769d1f06908df8ec694a22d8918e4ed37af1f47287577c5fc156f3807c744aa9774d69e23570036f06a8e9921f3c7c7d21b53b8eb041
diff --git a/dev-python/pylast/pylast-4.4.0.ebuild b/dev-python/pylast/pylast-4.4.0.ebuild
new file mode 100644
index 000000000000..54cd25b55248
--- /dev/null
+++ b/dev-python/pylast/pylast-4.4.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Python interface to last.fm and other api-compatible websites"
+HOMEPAGE="https://github.com/pylast/pylast"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? ( dev-python/flaky[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests --install pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}